# OnnxValue.OnnxValueType (onnxruntime 1.15.0 API)

Package ai.onnxruntime

## Enum OnnxValue.OnnxValueType

- java.lang.Object
- - java.lang.Enum<OnnxValue.OnnxValueType>
  - - ai.onnxruntime.OnnxValue.OnnxValueType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OnnxValue.OnnxValueType>`

Enclosing interface:
  OnnxValue

    public static enum OnnxValue.OnnxValueType
    extends java.lang.Enum<OnnxValue.OnnxValueType>

The type of the `OnnxValue`, mirroring the id in the C API.

### Enum Constant Summary

Enum Constants
`ONNX_TYPE_MAP`
`ONNX_TYPE_OPAQUE`
`ONNX_TYPE_OPTIONAL`
`ONNX_TYPE_SEQUENCE`
`ONNX_TYPE_SPARSETENSOR`
`ONNX_TYPE_TENSOR`
`ONNX_TYPE_UNKNOWN`

### Field Summary

Fields
`int` `value` The id number of this type in the C API.

### Method Summary

All Methods Static Methods Concrete Methods
`static OnnxValue.OnnxValueType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OnnxValue.OnnxValueType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ONNX_TYPE_UNKNOWN

    public static final OnnxValue.OnnxValueType ONNX_TYPE_UNKNOWN

#### ONNX_TYPE_TENSOR

    public static final OnnxValue.OnnxValueType ONNX_TYPE_TENSOR

#### ONNX_TYPE_SEQUENCE

    public static final OnnxValue.OnnxValueType ONNX_TYPE_SEQUENCE

#### ONNX_TYPE_MAP

    public static final OnnxValue.OnnxValueType ONNX_TYPE_MAP

#### ONNX_TYPE_OPAQUE

    public static final OnnxValue.OnnxValueType ONNX_TYPE_OPAQUE

#### ONNX_TYPE_SPARSETENSOR

    public static final OnnxValue.OnnxValueType ONNX_TYPE_SPARSETENSOR

#### ONNX_TYPE_OPTIONAL

    public static final OnnxValue.OnnxValueType ONNX_TYPE_OPTIONAL

### Field Detail

#### value

    public final int value

The id number of this type in the C API.

### Method Detail

#### values

    public static OnnxValue.OnnxValueType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OnnxValue.OnnxValueType c : OnnxValue.OnnxValueType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OnnxValue.OnnxValueType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null